{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "colcon_build",
            "type": "shell",
            "command":["source /opt/ros/foxy/setup.bash  && cd ${workspaceFolder}/workspaces/ws1/ && colcon build --cmake-args -DCMAKE_BUILD_TYPE=Debug && . install/setup.bash"],
        },
        {
            "label": "ws_source",
            "type": "shell",
            "command": "source ${workspaceFolder}/workspaces/ws1/install/setup.bash"
        },
        {
            "label": "colcon_test",
            "type": "shell",
            "command": "colcon test && colcon test-result"
        },
        {
            "label": "build_source",
            "dependsOrder": "sequence",
            "dependsOn": [
                "colcon_build",
                "ws_source"
            ]
        }
    ]
}